c:\pvcs\get -u grabres.bat
@echo off
echo **********************************************************************
echo * Get resource source files from the source server mounted on S: and
echo * put them in the right local directories which must already exist.
echo * video and sound bank files are always copied because they aren't
echo * under source code control. PVCS parameters can be supplied on the
echo * command line, ie:  grabres -u or grabres -y -u.
echo * BEWARE of the -y option as if you have any of the resource files
echo * checked out they will get clobbered.
echo * NOTE the video and audio copies are at the end of this file so you 
echo * can skip them with a control-C if you don't want them updated.
echo * Greg Corson 6/7/95  Ken Olsen 6/9/95
echo **********************************************************************
set v0=a
if "%1"=="-u" set g0=u
if "%2"=="-u" set g0=u
if "%3"=="-u" set g0=u
if "%4"=="-u" set g0=u
echo on
cd audio
get %1 %2 %3 %4 *.??v
cd ..\maps
get %1 %2 %3 %4 *.??v
cd ..\models
get %1 %2 %3 %4 *.??v
cd ..\solids
get %1 %2 %3 %4 *.??v
cd ..\gauge
get %1 %2 %3 %4 *.??v
cd ..
get %1 %2 %3 %4 *.??v
call getvid.bat %g0%
call getaud.bat %g0%
@echo off
set g0=
